<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0-windows</TargetFramework>
        <Nullable>enable</Nullable>
        <UseWpf>true</UseWpf>
    </PropertyGroup>

    <ItemGroup>
        <Reference Include="Syncfusion.SfGrid.WPF">
            <HintPath>..\..\..\Users\Fiona\.nuget\packages\syncfusion.sfgrid.wpf\20.2.0.39\lib\net5.0-windows7.0\Syncfusion.SfGrid.WPF.dll</HintPath>
        </Reference>
        <Reference Include="Syncfusion.SfImageEditor.WPF">
            <HintPath>..\..\..\..\Users\Fiona\.nuget\packages\syncfusion.sfimageeditor.wpf\20.2.0.38\lib\net5.0-windows7.0\Syncfusion.SfImageEditor.WPF.dll</HintPath>
        </Reference>
        <Reference Include="Syncfusion.SfInput.Wpf">
            <HintPath>..\..\..\..\Users\Fiona\.nuget\packages\syncfusion.sfinput.wpf\20.2.0.38\lib\net5.0-windows7.0\Syncfusion.SfInput.WPF.dll</HintPath>
        </Reference>
        <Reference Include="Syncfusion.SfRichTextBoxAdv.WPF">
            <HintPath>..\..\..\..\Users\Fiona\.nuget\packages\syncfusion.sfrichtextboxadv.wpf\20.2.0.38\lib\net5.0-windows7.0\Syncfusion.SfRichTextBoxAdv.WPF.dll</HintPath>
        </Reference>
        <Reference Include="Syncfusion.Shared.WPF">
            <HintPath>..\..\..\..\Users\Fiona\.nuget\packages\syncfusion.shared.wpf\20.2.0.44\lib\net5.0-windows7.0\Syncfusion.Shared.WPF.dll</HintPath>
        </Reference>
        <Reference Include="Syncfusion.Tools.Wpf">
            <HintPath>..\..\..\..\Users\Fiona\.nuget\packages\syncfusion.tools.wpf\20.2.0.44\lib\net5.0-windows7.0\Syncfusion.Tools.WPF.dll</HintPath>
        </Reference>
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Extended.Wpf.Toolkit" Version="4.4.0" />
        <PackageReference Include="GhostScript.NetCore" Version="1.0.1" />
        <PackageReference Include="Syncfusion.Grid.WPF" Version="20.2.0.46" />
        <PackageReference Include="Syncfusion.PdfViewer.WPF" Version="20.2.0.46" />
        <PackageReference Include="Syncfusion.SfGrid.WPF" Version="20.2.0.46" />
        <PackageReference Include="Syncfusion.SfImageEditor.WPF" Version="20.2.0.46" />
        <PackageReference Include="Syncfusion.SfInput.WPF" Version="20.2.0.46" />
        <PackageReference Include="Syncfusion.SfRichTextBoxAdv.WPF" Version="20.2.0.46" />
        <PackageReference Include="Syncfusion.SfSpreadsheet.WPF" Version="20.2.0.46" />
        <PackageReference Include="Syncfusion.SfTreeView.WPF" Version="20.2.0.46" />
        <PackageReference Include="Syncfusion.Tools.WPF.Classic" Version="19.4.0.56" />
    </ItemGroup>

	<ItemGroup>
		<Compile Update="Properties\Resources.Designer.cs">
			<DesignTime>True</DesignTime>
			<AutoGen>true</AutoGen>
			<DependentUpon>Resources.resx</DependentUpon>
		</Compile>
		<Compile Update="Themes\Main.xaml.cs">
		  <Generator>MSBuild:Compile</Generator>
		</Compile>
	</ItemGroup>
	<ItemGroup>
		<EmbeddedResource Update="Properties\Resources.resx">
			<Generator>PublicResXFileCodeGenerator</Generator>
			<LastGenOutput>Resources.Designer.cs</LastGenOutput>
		</EmbeddedResource>
	</ItemGroup>

    <ItemGroup>
        <Compile Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <None Remove="archive\**" />
        <None Remove=".gitignore" />
    </ItemGroup>

    <ItemGroup>
        <Page Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\3rdPartyLibs\RoslynPad\src\RoslynPad.Editor.Windows\RoslynPad.Editor.Windows.csproj" />
        <ProjectReference Include="..\InABox.Configuration\InABox.Configuration.csproj" />
        <ProjectReference Include="..\InABox.Core\InABox.Core.csproj" />
        <ProjectReference Include="..\inabox.dxf\InABox.Dxf.csproj" />
        <ProjectReference Include="..\InABox.Reports.Common\InABox.Reports.Common.csproj" />
        <ProjectReference Include="..\InABox.Scripting\InABox.Scripting.csproj" />
        <ProjectReference Include="..\inabox.wpf\InABox.Wpf.csproj" />
    </ItemGroup>

    <ItemGroup>
      <None Remove="Resources\add.png" />
      <None Remove="Resources\filter_set.png" />
      <None Remove="Resources\header_closed.png" />
      <Resource Include="Resources\add.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\AlignTextCenter16.png" />
      <Resource Include="Resources\AlignTextCenter16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\AlignTextJustify16.png" />
      <Resource Include="Resources\AlignTextJustify16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\AlignTextLeft16.png" />
      <Resource Include="Resources\AlignTextLeft16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\AlignTextRight16.png" />
      <Resource Include="Resources\AlignTextRight16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bold16.png" />
      <Resource Include="Resources\Bold16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullet_Arrow.png" />
      <Resource Include="Resources\Bullet_Arrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullet_Circle.png" />
      <Resource Include="Resources\Bullet_Circle.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullet_Dot.png" />
      <Resource Include="Resources\Bullet_Dot.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullet_Flower.png" />
      <Resource Include="Resources\Bullet_Flower.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullet_Image.png" />
      <Resource Include="Resources\Bullet_Image.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullet_None.png" />
      <Resource Include="Resources\Bullet_None.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullet_Square.png" />
      <Resource Include="Resources\Bullet_Square.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullet_Tick.png" />
      <Resource Include="Resources\Bullet_Tick.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Bullets16.png" />
      <Resource Include="Resources\Bullets16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\circle.png" />
      <Resource Include="Resources\circle.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\copy.png" />
      <Resource Include="Resources\copy.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\cut.png" />
      <Resource Include="Resources\cut.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\DecreaseIndent16.png" />
      <Resource Include="Resources\DecreaseIndent16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\delete.png" />
      <Resource Include="Resources\delete.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\disk.png" />
      <Resource Include="Resources\disk.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\doc-bmp.png" />
      <Resource Include="Resources\doc-bmp.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\doc-jpg.png" />
      <Resource Include="Resources\doc-jpg.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\doc-misc.png" />
      <Resource Include="Resources\doc-misc.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\doc-pdf.png" />
      <Resource Include="Resources\doc-pdf.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\doc-png.png" />
      <Resource Include="Resources\doc-png.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\doc-rtf.png" />
      <Resource Include="Resources\doc-rtf.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\doc-txt.png" />
      <Resource Include="Resources\doc-txt.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\doc-xls.png" />
      <Resource Include="Resources\doc-xls.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\downarrow.png" />
      <Resource Include="Resources\downarrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\download.png" />
      <Resource Include="Resources\download.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\draw.png" />
      <Resource Include="Resources\draw.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\edit.png" />
      <Resource Include="Resources\edit.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\filter.png" />
      <Resource Include="Resources\filter.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\filter_active.png" />
      <Resource Include="Resources\filter_active.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\fontsize.png" />
      <Resource Include="Resources\filter_set.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <Resource Include="Resources\fontsize.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\fullpage.png" />
      <Resource Include="Resources\fullpage.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\go.png" />
      <Resource Include="Resources\go.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\hand.png" />
      <Resource Include="Resources\hand.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\help.png" />
      <Resource Include="Resources\header_closed.png" />
      <Resource Include="Resources\help.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Hyperlink16.png" />
      <Resource Include="Resources\Hyperlink16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\IncreaseIndent16.png" />
      <Resource Include="Resources\IncreaseIndent16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Italic16.png" />
      <Resource Include="Resources\Italic16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\key.png" />
      <Resource Include="Resources\key.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\leftarrow.png" />
      <Resource Include="Resources\leftarrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\line.png" />
      <Resource Include="Resources\line.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\localfile.png" />
      <Resource Include="Resources\localfile.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\menu.png" />
      <Resource Include="Resources\menu.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\merge.png" />
      <Resource Include="Resources\merge.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering16.png" />
      <Resource Include="Resources\Numbering16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering_LowLetter_Brace.png" />
      <Resource Include="Resources\Numbering_LowLetter_Brace.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering_LowLetter_Dot.png" />
      <Resource Include="Resources\Numbering_LowLetter_Dot.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering_LowRoman.png" />
      <Resource Include="Resources\Numbering_LowRoman.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering_None.png" />
      <Resource Include="Resources\Numbering_None.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering_Number_Brace.png" />
      <Resource Include="Resources\Numbering_Number_Brace.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering_Number_Dot.png" />
      <Resource Include="Resources\Numbering_Number_Dot.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering_UpLetter.png" />
      <Resource Include="Resources\Numbering_UpLetter.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Numbering_UpRoman.png" />
      <Resource Include="Resources\Numbering_UpRoman.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\pagewidth.png" />
      <Resource Include="Resources\pagewidth.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\palette.png" />
      <Resource Include="Resources\palette.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\paste.png" />
      <Resource Include="Resources\paste.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\pencil.png" />
      <Resource Include="Resources\pencil.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Picture16.png" />
      <Resource Include="Resources\Picture16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\print.png" />
      <Resource Include="Resources\print.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\redo.png" />
      <Resource Include="Resources\redo.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Redo16.png" />
      <Resource Include="Resources\Redo16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\refresh.png" />
      <Resource Include="Resources\refresh.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\remotefile.png" />
      <Resource Include="Resources\remotefile.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\rightarrow.png" />
      <Resource Include="Resources\rightarrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\run.png" />
      <Resource Include="Resources\run.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\square.png" />
      <Resource Include="Resources\square.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Strikethrough16.png" />
      <Resource Include="Resources\Strikethrough16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Table16.png" />
      <Resource Include="Resources\Table16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\text.png" />
      <Resource Include="Resources\text.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\tick.png" />
      <Resource Include="Resources\tick.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Underline16.png" />
      <Resource Include="Resources\Underline16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\undo.png" />
      <Resource Include="Resources\undo.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\Undo16.png" />
      <Resource Include="Resources\Undo16.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\uparrow.png" />
      <Resource Include="Resources\uparrow.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\upload.png" />
      <Resource Include="Resources\upload.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\view.png" />
      <Resource Include="Resources\view.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\warning.png" />
      <Resource Include="Resources\warning.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\zoomin.png" />
      <Resource Include="Resources\zoomin.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
      <None Remove="Resources\zoomout.png" />
      <Resource Include="Resources\zoomout.png">
        <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
      </Resource>
    </ItemGroup>

</Project>
